# Directory Structure

## The Root Directory

![The Root Directory](/uploads/content/structure.jpg)

### The App Directory

The `app` directory contains the core code of your application. We'll explore this directory in more detail soon; however, almost all of the classes in your application will be in this directory.

### The Config Directory

The `config` directory, as the name implies, contains all of your application's configuration files. It's a great idea to read through all of these files and familiarize yourself with all of the options available to you.

### The Public Directory

The `public` directory contains the `index.php` file, which is the entry point for all requests entering your application and configures autoloading. This directory also houses your assets such as images, JavaScript, and CSS.

Settings: [Configuring a Web Server](/en/web-server-configuration)

### The Resources Directory

The `resources` directory contains your site templates as well as raw, uncompiled assets like LESS, SASS. 

### The Routes Directory

The `routes` directory contains all of the route definitions for your application. By default, several route files are included with LibArea: `main.php`, `admin.php` and `radjax.php`.

### The Storage Directory

The `storage` directory contains compiled templates, file-based sessions, file caches, error logs, and other files generated by the site. 


—> [**Go to home page**](/en/)